package com.hardrock.hellotest;

import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserFactory;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;

public class HelloTestActivity extends Activity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //setContentView(R.layout.main);

        try {
            // XmlPullParser ü 
            XmlPullParserFactory factory = XmlPullParserFactory.newInstance();
            XmlPullParser parser = factory.newPullParser();

            
//            // URL Ͽ XML о
//            URL url = new URL("http://www.telepasi.kr/xml/parser.xml");
//            InputStream istream = url.openStream(); 
//            parser.setInput(istream, "utf-8"); // "euc-kr"
//            
//            Log.d("MY_TAG", "*** Pull Parsing Begin ***");
            
            parser = getResources().getXml(R.xml.parser);
            
            
            
            int parserEvent = parser.getEventType();
            boolean initem = false;
            
            while( parserEvent != XmlPullParser.END_DOCUMENT ) {
                
                switch(parserEvent) {
                    case XmlPullParser.START_DOCUMENT: //  
                        Log.d("MY_TAG", ">>> [START_DOCUMENT]");
                        break;
                        
                    case XmlPullParser.END_DOCUMENT: //  
                        Log.d("MY_TAG", ">>> [END_DOCUMENT]");
                        break;
    
                    case XmlPullParser.START_TAG: // ± 
                        String sTagName = parser.getName();
                        Log.d("MY_TAG", ">>> [START_TAG] " + sTagName);
                        
//                        if( sTagName.equalsIgnoreCase("title") ||
//                            sTagName.equalsIgnoreCase("date") ||
//                            sTagName.equalsIgnoreCase("publisher") ||
//                            sTagName.equalsIgnoreCase("name") ||
//                            sTagName.equalsIgnoreCase("url") ) {
//                            initem = true;
//                        }
                        if( sTagName.equalsIgnoreCase("name") ) {
                                initem = true;
                            }
                        
                        
                        break;

                    case XmlPullParser.TEXT: // Ʈ 
                        if(initem) {
                            Log.d("MY_TAG", ">>> [TEXT] " + parser.getText());
                        }
                        break;
                            
                    case XmlPullParser.END_TAG: // ± 
                        String eTagName = parser.getName();
                        Log.d("MY_TAG", ">>> [END_TAG] " + eTagName);
                        
//                        if( eTagName.equalsIgnoreCase("title") ||
//                            eTagName.equalsIgnoreCase("date") ||
//                            eTagName.equalsIgnoreCase("publisher") ||
//                            eTagName.equalsIgnoreCase("name") ||
//                            eTagName.equalsIgnoreCase("url") ) {
//                            initem = false;
//                        }
//                        
                        if( eTagName.equalsIgnoreCase("name") ) {
                                initem = false;
                            }
                            
                        
                        break;
                }

                parserEvent = parser.next();
            }
            
            Log.d("MY_TAG", "*** Pull Parsing End ***");
        }
        catch (Exception e) {
            e.printStackTrace();
        }

    }

}
